Loading...
Searching...
No Matches
itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderParameterType Struct Reference

`#include <itkAdvancedImageToImageMetric.h>`

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderParameterType

Helper structs that multi-threads the computation of the metric derivative using ITK threads.

Definition at line 426 of file itkAdvancedImageToImageMetric.h.

## Data Fields

DerivativeValueType * | st_DerivativePointer
AdvancedImageToImageMetric * | st_Metric
DerivativeValueType | st_NormalizationFactor

## Field Documentation

## st_DerivativePointer

template<class TFixedImage, class TMovingImage>

DerivativeValueType* itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderParameterType::st_DerivativePointer

Definition at line 431 of file itkAdvancedImageToImageMetric.h.

## st_Metric

template<class TFixedImage, class TMovingImage>

AdvancedImageToImageMetric* itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderParameterType::st_Metric

Definition at line 429 of file itkAdvancedImageToImageMetric.h.

## st_NormalizationFactor

template<class TFixedImage, class TMovingImage>

DerivativeValueType itk::AdvancedImageToImageMetric< TFixedImage, TMovingImage >::MultiThreaderParameterType::st_NormalizationFactor

Definition at line 432 of file itkAdvancedImageToImageMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |